package mypack2;
import mypack1.Base;

public class Sub extends Base{  
   public void method(){
     v1=1;  //合法
     v2=1;  //合法
     test(); //合法

     Base a=new Base();
     a.v1=1;  //合法
     //a.v2=1;  //编译出错
     //a.v3=1;  //编译出错
     //a.v4=1;  //编译出错
  }
}

